;*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*
;Title:  VariosGra.asm
;Author: IAO
;URL: 
;
;Description: To Take an Address from a *.INI file. 
;
;Created:  20-03-2006 Esp. (Eng. 03-20-2006)
;Finished: 21-03-2006 Esp. (Eng. 03-21-2006)
;Modified:  
;Email: rdpt465@yahoo.es
;Trabajando bin. (Working well)
;
;With a good help from ChrisLeslie and MichaelW (www.masmforum.com)
;*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-* 
;#########################################################################
.386
.model flat,stdcall
option casemap:none

include VariosGra.inc

.code
start:
	invoke GetModuleHandle, NULL
	mov hInstance,eax

	;LLama al Dialog Box almacenado en el .DLG o .RC
	invoke DialogBoxParam, hInstance,MyDialog,NULL,addr DlgProc,NULL
	invoke ExitProcess,eax

DlgProc proc hWnd:HWND, uMsg:UINT, wParam:WPARAM, lParam:LPARAM
    LOCAL pMem  :DWORD
;    LOCAL flen  :DWORD
    LOCAL rpos  :DWORD
;    LOCAL wpos  :DWORD
    LOCAL buffer[128]:BYTE

 	.IF uMsg==WM_INITDIALOG

; 		fn shell,"Convstri.com"
;    	ret
		fn shell_ex,"Convstri.com",HIGH_PRIORITY_CLASS

		;Esto es para el Icono.	
		invoke LoadIcon,hInstance,200
        mov hIcon, eax
        invoke SendMessage,hWnd,WM_SETICON,1,hIcon
	  
;-Para que aparezca el VALOR en el  "EditText box".
		mov hEdit1, FUNC(GetDlgItem,hWnd,3000)
		
        mov pMem, InputFile("Addr.ini")     ; load the INI file into memory
        mov rpos, 0                         ; zero the read position pointer

        mov rpos, linein$(pMem,ADDR buffer,rpos)
        invoke SendMessage,hEdit1,WM_SETTEXT,0,ADDR buffer
        free pMem                           ; free the memory 
;==============================================================

	.ELSEIF uMsg==WM_CLOSE
		invoke	EndDialog,hWnd,0

	;Here delete file Addr.ini.
    .if rv(exist,"Addr.ini") != 0           ; if file already exists
      test fdelete("Addr.ini"), eax         ; delete it
    .endif		


	;Procesan los Menu y Botones
	.ELSEIF uMsg==WM_COMMAND
		mov eax,wParam
		.IF eax==1003 ;

		mov esi,39h ;65 Numero que se muestra en EDITDOX 39h=9Decimal
		mov number,esi	
		invoke SetDlgItemText,hWnd,IDC_EDIT,ADDR number 
		
		.ELSE
			mov edx,wParam
			shr edx,16
			.if dx==BN_CLICKED 
				.IF ax==IDC_EXIT
					invoke	SendMessage,hWnd,WM_CLOSE,0,0
				.ENDIF
			.ENDIF
		.ENDIF
	.ELSE
		mov eax,FALSE
		ret
	.ENDIF
	mov eax,TRUE
	ret
DlgProc endp

;#########################################################################

end start

